get
https://api.accelevents.com/rest/host/event//session//analytics
- API used at host side event admin, super admin, and organizer admin can access this API.
- On the host side when we click on Analytics -> sessions -> sessions row,
It will return session video analytics data
like sessions data, average attended duration, average recording view,
live view information, etc. - We need to pass an authorization token here, which is generated after
successful login into the account.
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
| Attribute | Description |
|---|---|
| Session-Id | Unique session Id of the event for getting session details |
| Title | Session's Name |
| Start Time | It is a session start time when the session will begin |
| End Time | It is a session End time when the session will finish |
| Registered User Count | It is the number of attendees who registered/Bookmark the session |
| Attendee Count | It is the number of attendees who have joined the session |
| Duration | It is video duration for Youtube, Vimeo, Voxeet, TokBox, etc sessions. |
| Average Recording Duration | It is the average watch time for attendees who will spend time watching the recorded video |
| Average Attended Duration | It is the average watch time for attendees who will spend time on watch video |
| Total Recording Views | It is the number of attendees who will watch recorded Session |
| Total Chat Count | It is the number of messages sent in the session channel. |
| Live Views | It is the number of attendees who watched the Live Session. |
- Here are the possible error messages that return if any condition fails or required data is missing for processing
| Error Code | Description |
|---|---|
| 200 | OK |
| 400 | The request could not be understood by the server due to malformed syntax |
| 401 | You are not authorized to view the resource |
| 403 | Accessing the resource you were trying to reach is forbidden |
| 404 | The resource you were trying to reach is not found |
| 4030201 | Not Event Host |
| 404800 | Session Not Found |